summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorlothar-mar2015-07-19 23:42:07 +0100
committerlothar-mar2015-07-19 23:42:07 +0100
commit55beb990143c2e951afde394b75b445e4213e7f1 (patch)
tree8c12c2971840a00167498378f4d42d684081edcf
parent995ad6d5221fc09d0265a71eaae00aa140f51680 (diff)
downloadaur-55beb990143c2e951afde394b75b445e4213e7f1.tar.gz
updated version function
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD13
2 files changed, 10 insertions, 5 deletions
diff --git a/.SRCINFO b/.SRCINFO
index f54c34c5321..3f3913f7fa2 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -13,7 +13,7 @@ pkgbase = ofxparse-git
depends = python2-beautifulsoup4
provides = ofxparse
conflicts = ofxparse
- source = ofxparse::git://github.com/jseutter/ofxparse.git
+ source = ofxparse::git+https://github.com/jseutter/ofxparse.git#branch=master
md5sums = SKIP
pkgname = ofxparse-git
diff --git a/PKGBUILD b/PKGBUILD
index 21024f73512..fe82127a83c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -16,13 +16,18 @@ depends=('python2>=2.7.6'
#optdepends=('')
provides=($_pkgname)
conflicts=($_pkgname)
-source=($_pkgname::git://github.com/jseutter/ofxparse.git)
+source=('ofxparse::git+https://github.com/jseutter/ofxparse.git#branch=master')
md5sums=('SKIP')
-
+
+
pkgver() {
- cd $_pkgname
- git describe --long --tags | sed 's/\([^-]*-g\)/r\1/;s/-/./g'
+ cd "$srcdir$pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
+
build() {
cd $_pkgname